Subject: Re: [2/3] POHMELFS: Documentation.

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 14 Jun 2008 23:25:31 +0400

On Sat, Jun 14, 2008 at 02:45:36PM -0400, Trond Myklebust ([email-masked]) wrote:
> 
> You're confusing write gathering with asynchronous I/O...
> 
> NFS attempts to send multiple contiguous pages in one I/O request, and
> so it has a mechanism for collecting them and dispatching the I/O as
> soon as we have enough pages for an RPC call.
> 
> The actual RPC call is then handled by the sunrpc layer and is done
> fully asynchronously using non-blocking I/O.

Well, yes, I did not dig into rpc as is deep enough, but checked how
callbacks are prepared in respect to ioflags namely RPC_FLAGS_ASYNC. I
was confused with the fact, that system did not yet process request, but
accounted stats for it, but likely that stats are just intended to
show exactly what was queued for (later) processing.

-- 
	Evgeniy Polyakov